UPDATE Buildings Set CitySupplyModifier = 0 , CitySupplyFlat = 0 Where BuildingClass IN ("BUILDINGCLASS_LIGHTHOUSE", "BUILDINGCLASS_HARBOR", "BUILDINGCLASS_SEAPORT");

-- Sailor resources
-- Resource provided by buildings can be changed here
-- Flat supply

INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity)
SELECT Type, "RESOURCE_SAILORS", 1 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_PALACE";

INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity)
VALUES ("BUILDING_BT_DOCK", "RESOURCE_SAILORS", 1);

INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity)
SELECT Type, "RESOURCE_SAILORS", 1 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_LIGHTHOUSE";

/*
INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity)
SELECT Type, "RESOURCE_SAILORS", 1 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_HARBOR";

INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity)
SELECT Type, "RESOURCE_SAILORS", 1 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_SEAPORT";
*/
-- Supply per Population
/*
INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier)
SELECT Type, "RESOURCE_SAILORS", 5 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_PALACE";

INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier)
SELECT Type, "RESOURCE_SAILORS", 5 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_BT_DOCK";

INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier)
SELECT Type, "RESOURCE_SAILORS", 5 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_LIGHTHOUSE";
*/

INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier)
SELECT Type, "RESOURCE_SAILORS", 10 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_HARBOR";

INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier)
SELECT Type, "RESOURCE_SAILORS", 20 From Buildings 
WHERE BuildingClass = "BUILDINGCLASS_SEAPORT";

-- Wonders
INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity) VALUES 
('BUILDING_GREAT_LIGHTHOUSE', "RESOURCE_SAILORS", 2),
('BUILDING_COLOSSUS', "RESOURCE_SAILORS", 2),
('BUILDING_GRAND_CANAL', "RESOURCE_SAILORS", 4),

('BUILDING_GREAT_COTHON', "RESOURCE_SAILORS", 2),

-- Venice
('BUILDING_PIAZZA_SAN_MARCO', "RESOURCE_SAILORS", 3),
--('BUILDING_RIALTO_DISTRICT', "RESOURCE_SAILORS", 2),
--('BUILDING_MURANO_GLASSWORKS', "RESOURCE_SAILORS", 2),
('BUILDING_VENETIAN_ARSENALE', "RESOURCE_SAILORS", 3);

INSERT INTO Building_ResourceQuantityFromPOP (BuildingType, ResourceType, Modifier) VALUES
('BUILDING_VENETIAN_ARSENALE', "RESOURCE_SAILORS", 15);

UPDATE Buildings SET CitySupplyFlat = 3 WHERE Type = "BUILDING_PIAZZA_SAN_MARCO";


/* Text */
UPDATE Language_en_US SET Text= "+1 [ICON_RES_SAILORS] Naval Supply" WHERE Tag="TXT_KEY_BUILDING_BT_DOCK_HELP";

UPDATE Language_en_US SET Text= "+1 [ICON_FOOD] Food and +1 [ICON_GOLD] Gold from Coast and Ocean Tiles. Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_FOOD] Food. Increases [ICON_RES_SAILORS] Naval Supply Cap by 1.[NEWLINE][NEWLINE]Forms a [ICON_CONNECTED] City Connection with other Cities via water if they also have Lighthouses.[NEWLINE][NEWLINE]Can only be constructed in a coastal City." WHERE Tag="TXT_KEY_BUILDING_LIGHTHOUSE_HELP";

UPDATE Language_en_US SET Text= "Completing a [ICON_CARGO_SHIP] Sea Trade Route originating here and targeting another Civilization triggers a (or strengthens an existing) [COLOR_POSITIVE_TEXT]Historic Event[ENDCOLOR].[NEWLINE][NEWLINE]+1 [ICON_FOOD] Food from Coast and Ocean tiles, and +1 [ICON_PRODUCTION] Production from Sea Resources worked by this City. [ICON_CARGO_SHIP] Sea Trade Routes gain +50% Range and +2 [ICON_GOLD] Gold.[NEWLINE][NEWLINE]+15% [ICON_PRODUCTION] Production of Naval Units, and +10% [ICON_RES_SAILORS] Naval Supply from Population.[NEWLINE][NEWLINE]Can only be constructed in a Coastal City." WHERE Tag="TXT_KEY_BUILDING_HARBOR_HELP";

UPDATE Language_en_US SET Text="+1 [ICON_PRODUCTION] Production and +1 [ICON_GOLD] Gold from all Coast and Ocean tiles. +2 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold from Sea Resources worked by this City. +20% [ICON_RES_SAILORS] Naval Supply from Population.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_COAL] Coal. Can only be constructed in a Coastal City, and cannot have a [COLOR_NEGATIVE_TEXT]Train Station[ENDCOLOR] in the City." WHERE Tag="TXT_KEY_BUILDING_SEAPORT_HELP";

-- Uniques
UPDATE Language_en_US SET Text= "When a Unit [COLOR_POSITIVE_TEXT]created by this City[ENDCOLOR] pillages a Tile, gain 30 [ICON_CULTURE] Culture in this City, scaling with Era.[NEWLINE][NEWLINE]+25% [ICON_PRODUCTION] Production towards Melee, Gunpowder, and Naval Melee Units.[NEWLINE][NEWLINE]+2 [ICON_FOOD] Food and +1 [ICON_GOLD] Gold from Coast and Ocean tiles. Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_FOOD] Food. +1 [ICON_RES_SAILORS] Naval Supply.[NEWLINE][NEWLINE]Forms a [ICON_CONNECTED] City Connection with other Cities via water if they also have Runestones." WHERE Tag="TXT_KEY_BUILDING_JELLING_STONES_HELP";

UPDATE Language_en_US SET Text="Receive an additional copy of all Luxury Resources around the City. Incoming [ICON_ARROW_LEFT] Trade Routes generate +5 [ICON_GOLD] Gold for the City, and +3 [ICON_GOLD] Gold for the [ICON_ARROW_RIGHT] Trade Route owner. +25% [COLOR_POSITIVE_TEXT]Resource Diversity Modifier for Trade Routes[ENDCOLOR] from this City.[NEWLINE][NEWLINE]All Harbors gain +3 [ICON_PRODUCTION] Production, and all Lighthouses gain +2 [ICON_CULTURE] Culture.[NEWLINE][NEWLINE]Gain 2 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Routes.[NEWLINE][NEWLINE]-2 [ICON_HAPPINESS_3] Unhappiness from [ICON_GOLD] Poverty in this City, and -1 in all other Cities.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own. +2 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_BUILDING_GREAT_COTHON_HELP"; 

-- Wonders
UPDATE Language_en_US SET Text="Can only be constructed in a Coastal City. Provides a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Lighthouse in the City in which it is built. All Military Naval Units receive +1 [ICON_MOVES] Movement and +1 [ICON_VP_VISION] Sight. +2 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_WONDER_GREAT_LIGHTHOUSE_HELP"; 

UPDATE Language_en_US SET Text="Can only be constructed in a Coastal City. Gains 1 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Route slot and a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Cargo Ship in the City in which it is built. Incoming [ICON_INTERNATIONAL_TRADE] Trade Routes generate +2 [ICON_GOLD] Gold for the City, and +1 [ICON_GOLD] Gold for [ICON_INTERNATIONAL_TRADE] Trade Route owner. +2 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_WONDER_COLOSSUS_HELP"; 

UPDATE Language_en_US SET Text="May only be built collaboratively through the World Congress. Receive 1 [COLOR_POSITIVE_TEXT]Additional[ENDCOLOR] [ICON_INTERNATIONAL_TRADE] Trade Route. Grants all Naval Units except Submarines and Carriers the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_TREASURE_FLEET}[ENDCOLOR] Promotion, which grants +10% [ICON_STRENGTH] Combat Strength when attacking, +1 [ICON_VP_VISION] Sight, and the ability to heal [COLOR_POSITIVE_TEXT]Outside of Friendly Territory[ENDCOLOR]. +4 [ICON_RES_SAILORS] Naval Supply." WHERE Tag="TXT_KEY_BUILDING_GRAND_CANAL_HELP"; 

-- Venice
UPDATE Language_en_US SET Text="Can only be built in the [ICON_CAPITAL] Capital.[NEWLINE][NEWLINE]+33% [ICON_GREAT_PEOPLE] Great People generation in this city. Receive 15 [ICON_CULTURE] Culture when a [ICON_CITIZEN] Citizen is born in the City, and 50 [ICON_GOLDEN_AGE] Golden Age Points whenever you unlock a Policy, scaling with Era. +3 [ICON_WAR] Military and +3 [ICON_RES_SAILORS] Naval Supply. +10 [ICON_SPY] City Security.[NEWLINE][NEWLINE]Reduces the purchase cooldown of Civilian Units by 3 turns and removes the purchase cooldown of Military Units in this City.[NEWLINE][NEWLINE]Contains 1 slot for a [ICON_GREAT_WORK] Great Work of Art or Artifact.[NEWLINE][NEWLINE]Unlocks access to [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_MURANO_GLASSWORKS}[ENDCOLOR], [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_VENETIAN_ARSENALE}[ENDCOLOR], and [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_RIALTO_DISTRICT}[ENDCOLOR] once [COLOR_CYAN]{TXT_KEY_TECH_GUILDS_TITLE}[ENDCOLOR] is researched.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_PIAZZA_SAN_MARCO_HELP";

UPDATE Language_en_US SET Text="1 of 3 [COLOR_NEGATIVE_TEXT]Mutually Exclusive[ENDCOLOR] Unique Venetian Buildings. Requires construction of {TXT_KEY_BUILDING_PIAZZA_SAN_MARCO} in this City.[NEWLINE][NEWLINE]+10% [ICON_STRENGTH] Defense Strength and [ICON_SILVER_FIST] Military from Population in all Cities (15% in [ICON_CAPITAL] Capital). +3 [ICON_RES_SAILORS] Naval Supply and +15% [ICON_RES_SAILORS] Naval Supply from Population in Capital. [NEWLINE][NEWLINE]Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]All Naval Units receive the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_ARSENALE}[ENDCOLOR] Promotion.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_VENETIAN_ARSENALE_HELP"; --Also has -1 flat
