INSERT INTO Unit_ResourceQuantityRequirements (UnitType, ResourceType, Cost)
SELECT Type, "RESOURCE_SAILORS", 1 FROM Units 
WHERE CombatClass IN ("UNITCOMBAT_NAVALMELEE", "UNITCOMBAT_NAVALRANGED", "UNITCOMBAT_SUBMARINE", "UNITCOMBAT_CARRIER");

-- Remove the code below if you want naval units to draw from military cap
UPDATE Units
SET NoSupply = 1 
WHERE CombatClass IN ("UNITCOMBAT_NAVALMELEE", "UNITCOMBAT_NAVALRANGED", "UNITCOMBAT_SUBMARINE", "UNITCOMBAT_CARRIER");

-- Admiral provides 2 Sailors instead of Supply
DELETE FROM Unit_FreePromotions WHERE PromotionType = 'PROMOTION_SUPPLY_BOOST' AND UnitType IN (SELECT Type FROM Units WHERE Class = 'UNITCLASS_GREAT_ADMIRAL'); 

INSERT INTO Unit_ResourceQuantityExpended (UnitType, ResourceType, Amount) SELECT Type, 'RESOURCE_SAILORS', 2 FROM Units WHERE Class = 'UNITCLASS_GREAT_ADMIRAL';

UPDATE Language_en_US SET Text="If the Unit is in owned territory, this order will expend the Unit, granting you two [COLOR_POSITIVE_TEXT]free[ENDCOLOR] copies of a random Luxury Resource, prioritizing those not available on this map and not currently owned.[NEWLINE][NEWLINE]These Resources will not appear on the map and do not count toward Monopolies if they did not exist on the map, but can be traded to other civilizations. Also increases your [ICON_RES_SAILORS] Naval Supply by 2." WHERE Tag="TXT_KEY_MISSION_FREE_LUXURY_HELP";

ALTER TABLE Resources ADD HideInTopPanel boolean default 0;
UPDATE Resources SET HideInTopPanel = 1 WHERE Type = "RESOURCE_SAILORS";